Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.httppost
Class HTTPPOSTData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.httppost.HTTPPOSTData

All Implemented Interfaces:
  StepDataInterface

    public class HTTPPOSTData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`int[]` | `body_parameters_nrs`
`org.apache.commons.httpclient.NameValuePair[]` | `bodyParameters`
`int` | `indexOfRequestEntity`
`int` | `indexOfUrlField`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`int[]` | `query_parameters_nrs`
`org.apache.commons.httpclient.NameValuePair[]` | `queryParameters`
`String` | `realEncoding`
`String` | `realUrl`
`boolean` | `useBodyParameters`
`boolean` | `useQueryParameters`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`HTTPPOSTData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### realEncoding

    public String realEncoding

### body_parameters_nrs

    public int[] body_parameters_nrs

### query_parameters_nrs

    public int[] query_parameters_nrs

### indexOfUrlField

    public int indexOfUrlField

### realUrl

    public String realUrl

### bodyParameters

    public org.apache.commons.httpclient.NameValuePair[] bodyParameters

### queryParameters

    public org.apache.commons.httpclient.NameValuePair[] queryParameters

### useBodyParameters

    public boolean useBodyParameters

### useQueryParameters

    public boolean useQueryParameters

### indexOfRequestEntity

    public int indexOfRequestEntity

Constructor Detail

### HTTPPOSTData

    public HTTPPOSTData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD